import { createI18n } from 'vue-i18n'
import EN from './en'
import ZH from './zh'

const messages = {
  en: {
    ...EN
  },
  zh: {
    ...ZH
  }
}
// 设置当前语言
const getCurrentLanguage = () => {
  // 浏览器设置语言
  const UAlang = navigator.language
  // 判断语言
  const langCode = UAlang.indexOf('zh') !== -1 ? 'zh' : 'en'
  // 缓存语言信息
  localStorage.setItem('lang', langCode)
  return langCode
}

// 创建 i18n 国际化
const i18n = createI18n({
  legacy: false,
  globalInjection: true,
  locale: getCurrentLanguage() || 'zh',
  messages: messages
})

export default i18n
